# -*- coding: utf-8 -*-
# ВСЕ СЕКРЕТНЫЕ НАСТРОЙКИ ПРОЕКТА ДЛЯ РАЗВЕРТЫВАНИЯ НА ПРОДАКШЕНЕ (турция)
"""
В этот файл вынесены все секретные настройки, чтобы не светить их в settings.py
Например, при размещении в публичный репозиториях.
"""

MY_DEBUG = False

# Хосты на которых может работать приложение
MY_ALLOWED_HOSTS = [
    '127.0.0.1',
    'localhost',
    'pet-clones.cocorico.ru',   # prod
]


# Ключ Django
MY_SECRET_KEY = 'django-insecure-sample---secrets-must-be-kept-secret-SSxk75QmR6w37zu5okbthaNDCMQtPQ7kn7wYQcGPKENq'

# Настройки для сообщений об ошибках когда все упало и т.п.
MY_ADMINS = (
    ('S.Erjemin', 'erjemin@gmail.com'),
)

#########################################
# настройки для почтового сервера
MY_EMAIL = 'admin@you.site'
MY_EMAIL_FROM = 'admin@you.site'
MY_EMAIL_HOST = 'smtp.mail.ru'                           # host
MY_EMAIL_HOST_USER = 'admin@you.site'                    # login
MY_EMAIL_HOST_PASSWORD = 'secrets-must-be-kept-secret'   # password
MY_EMAIL_PORT = 2525                                     # port
MY_EMAIL_USE_TLS = True

# Настройки подключения к БД MySQL
MY_DATABASE_HOST = 'localhost'          # db-host
MY_DATABASE_NAME = 'db-name'            # db-name
MY_DATABASE_PORT = '3306'
MY_DATABASE_USER = 'db-user'
MY_DATABASE_PASSWORD = 'secrets-must-be-kept-secret'

MY_TOUCH_RELOAD = '/home/web/you.site/logs/touchreload.txt'

MY_MEDIA_ROOT = '/home/web/you.site/public/media'

MY_STATIC_ROOT = '/home/web/you.site/public/static/'

MY_SITEMAP_ROOT = '/home/web/you.site/public'
